%global src_name httpx

Name:           python-%{src_name}
Version:        0.27.0
Release:        1
Summary:        Python HTTP client

License:        BSD-3-Clause
URL:            https://github.com/encode/httpx
Source0:        https://files.pythonhosted.org/packages/5c/2d/3da5bdf4408b8b2800061c339f240c1802f2e82d55e50bd39c5a881f47f0/httpx-0.27.0.tar.gz
BuildArch:      noarch

%description
HTTPX is a fully featured HTTP client library for Python 3. It includes an integrated command line client,
has support for both HTTP/1.1 and HTTP/2, and provides both sync and async APIs.

%package -n     python3-%{src_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
BuildRequires:  python3-hatch-fancy-pypi-readme
BuildRequires:  python3-flit-core
BuildRequires:  python3-certifi
BuildRequires:  python3-httpcore
BuildRequires:  python3-idna
BuildRequires:  python3-sniffio
%{?python_provide:%python_provide python3-%{src_name}}

%description -n python3-%{src_name}
HTTPX is a fully featured HTTP client library for Python 3. It includes an integrated command line client, 
has support for both HTTP/1.1 and HTTP/2, and provides both sync and async APIs.

%prep
%autosetup -n %{src_name}-%{version}
sed -i "s/\"httpcore==1.*\"/\"httpcore>=1.0\"/g" pyproject.toml

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{src_name}
%license LICENSE.md
%doc README.md
%{_bindir}/%{src_name}
%{python3_sitelib}/%{src_name}/
%{python3_sitelib}/%{src_name}*.dist-info/

%changelog
* Thu Feb 29 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 0.27.0-1
- Upgrade package with version 0.27.0
  Support HTTPS proxies.
  Drop support for Python 3.7 and Add support for Python 3.12.
  Add support for httpcore 1.0.
  Respect the http1 argument while configuring proxy transports.
  Fix RFC 2069 mode digest authentication.

* Wed Aug 09 2023 ysliu <ysliuci@isoftstone.com> - 0.24.1-1
- Upgrade to 0.24.1-1

* Mon Jul 19 2021 yinyongkang <yinyongkang@kylinos.cn> - 0.18.2-1
- Init Package
